import { JobData } from "./metadatauploadjson";
import { TemplateType } from "./templateType";

export const dummyData: JobData = {
  jobId: '',
  templateID: TemplateType.GENERIC, 
  template: null,
  processingPipeline: "metaproteomeanalyzer",
  createInitialMetadataJobId: "",
  fileConversionJobId: "",
  jobname: "",
  details: "",
  creationdate: new Date(),
  status: "UPLOAD_FILES_FOR_ANNOTATION",
  statusmessage: "",
  downloadURL: "",
  metadataForFiles: [
    {
      identID: "111",
      counter: 0,
      mzID: "mzID 1",
      mzML: "mzML 1",
      spectrumFile: "sample1.mgf",
      psmFile: "PSM_sample1.csv",
      peptideFile: "PEPTIDE_sample1.csv",
      ontIdParamArray: [],
      ontId2EnabledArray: [],
      ontId2Enabled: new Map<string, boolean>([
        ["sourcename", true],
        ["study", true],
        ["group", true],
        ["organization", true],
        ["organism", true],
        ["organismPart", true],
        ["cellType", true],
        ["ancestryCategory", true],
        ["age", true],
        ["sex", true],
        ["disease", true],
        ["individual", true],
        ["sampleStorageTemperature", true],
        ["proteinExtractionMethod", true],
        ["proteinPrecipitationMethod", true],
        ["proteinPurificationMethod", true],
        ["proteinConcentrationMethod", true],
        ["digestionMethod", true],
        ["biologicalReplicate", true],
        ["assayName", true],
        ["technologyType", true],
        ["biologicalReplicate", true],
        ["label", true],
        ["cleavageAgentDetails", true],
        ["instrument", true],
        ["study", true],
        ["program", true],
        ["modificationParameters", true],
        ["modificationParameters1", true],
        ["modificationParameters2", true],
        ["dissociationMethod", true],
        ["precursorMassTolerance", true],
        ["fragmentMassTolerance", true],
        ["comment", true],
        ["factorValue", true]
      ]),
      ontId2Param: new Map<string, string>([
        ["sourcename", ""],
        ["study", ""],
        ["group", ""],
        ["organization", ""],
        ["organism", ""],
        ["organismPart", ""],
        ["cellType", ""],
        ["ancestryCategory", ""],
        ["age", ""],
        ["sex", ""],
        ["disease", ""],
        ["individual", ""],
        ["sampleStorageTemperature", ""],
        ["proteinExtractionMethod", ""],
        ["proteinPrecipitationMethod", ""],
        ["proteinPurificationMethod", ""],
        ["proteinConcentrationMethod", ""],
        ["digestionMethod", ""],
        ["biologicalReplicate", ""],
        ["assayName", ""],
        ["technologyType", ""],
        ["biologicalReplicate", ""],
        ["label", ""],
        ["cleavageAgentDetails", ""],
        ["instrument", ""],
        ["study", ""],
        ["program", ""],
        ["modificationParameters", ""],
        ["modificationParameters1", ""],
        ["modificationParameters2", ""],
        ["dissociationMethod", ""],
        ["precursorMassTolerance", ""],
        ["fragmentMassTolerance", ""],
        ["comment", ""],
        ["factorValue", ""]
      ])
    },
    {
      identID: "222",
      counter: 1,
      mzID: "mzID 1",
      mzML: "mzML 1",
      spectrumFile: "sample1.mgf",
      psmFile: "PSM_sample1.csv",
      peptideFile: "PEPTIDE_sample1.csv",
      ontIdParamArray: [],
      ontId2EnabledArray: [],
      ontId2Enabled: new Map<string, boolean>([
        ["sourcename", true],
        ["study", true],
        ["group", true],
        ["organization", true],
        ["organism", true],
        ["organismPart", true],
        ["cellType", true],
        ["ancestryCategory", true],
        ["age", true],
        ["sex", true],
        ["disease", true],
        ["individual", true],
        ["sampleStorageTemperature", true],
        ["proteinExtractionMethod", true],
        ["proteinPrecipitationMethod", true],
        ["proteinPurificationMethod", true],
        ["proteinConcentrationMethod", true],
        ["digestionMethod", true],
        ["biologicalReplicate", true],
        ["assayName", true],
        ["technologyType", true],
        ["biologicalReplicate", true],
        ["label", true],
        ["cleavageAgentDetails", true],
        ["instrument", true],
        ["study", true],
        ["program", true],
        ["modificationParameters", true],
        ["modificationParameters1", true],
        ["modificationParameters2", true],
        ["dissociationMethod", true],
        ["precursorMassTolerance", true],
        ["fragmentMassTolerance", true],
        ["comment", true],
        ["factorValue", true]
      ]),
      ontId2Param: new Map<string, string>([
        ["sourcename", ""],
        ["study", ""],
        ["group", ""],
        ["organization", ""],
        ["organism", ""],
        ["organismPart", ""],
        ["cellType", ""],
        ["ancestryCategory", ""],
        ["age", ""],
        ["sex", ""],
        ["disease", ""],
        ["individual", ""],
        ["sampleStorageTemperature", ""],
        ["proteinExtractionMethod", ""],
        ["proteinPrecipitationMethod", ""],
        ["proteinPurificationMethod", ""],
        ["proteinConcentrationMethod", ""],
        ["digestionMethod", ""],
        ["biologicalReplicate", ""],
        ["assayName", ""],
        ["technologyType", ""],
        ["biologicalReplicate", ""],
        ["label", ""],
        ["cleavageAgentDetails", ""],
        ["instrument", ""],
        ["study", ""],
        ["program", ""],
        ["modificationParameters", ""],
        ["modificationParameters1", ""],
        ["modificationParameters2", ""],
        ["dissociationMethod", ""],
        ["precursorMassTolerance", ""],
        ["fragmentMassTolerance", ""],
        ["comment", ""],
        ["factorValue", ""]
      ])
    },
    {
      identID: "333",
      counter: 2,
      mzID: "mzID 1",
      mzML: "mzML 1",
      spectrumFile: "sample1.mgf",
      psmFile: "PSM_sample1.csv",
      peptideFile: "PEPTIDE_sample1.csv",
      ontIdParamArray: [],
      ontId2EnabledArray: [],
      ontId2Enabled: new Map<string, boolean>([
        ["sourcename", true],
        ["study", true],
        ["group", true],
        ["organization", true],
        ["organism", true],
        ["organismPart", true],
        ["cellType", true],
        ["ancestryCategory", true],
        ["age", true],
        ["sex", true],
        ["disease", true],
        ["individual", true],
        ["sampleStorageTemperature", true],
        ["proteinExtractionMethod", true],
        ["proteinPrecipitationMethod", true],
        ["proteinPurificationMethod", true],
        ["proteinConcentrationMethod", true],
        ["digestionMethod", true],
        ["biologicalReplicate", true],
        ["assayName", true],
        ["technologyType", true],
        ["biologicalReplicate", true],
        ["label", true],
        ["cleavageAgentDetails", true],
        ["instrument", true],
        ["study", true],
        ["program", true],
        ["modificationParameters", true],
        ["modificationParameters1", true],
        ["modificationParameters2", true],
        ["dissociationMethod", true],
        ["precursorMassTolerance", true],
        ["fragmentMassTolerance", true],
        ["comment", true],
        ["factorValue", true]
      ]),
      ontId2Param: new Map<string, string>([
        ["sourcename", ""],
        ["study", ""],
        ["group", ""],
        ["organization", ""],
        ["organism", ""],
        ["organismPart", ""],
        ["cellType", ""],
        ["ancestryCategory", ""],
        ["age", ""],
        ["sex", ""],
        ["disease", ""],
        ["individual", ""],
        ["sampleStorageTemperature", ""],
        ["proteinExtractionMethod", ""],
        ["proteinPrecipitationMethod", ""],
        ["proteinPurificationMethod", ""],
        ["proteinConcentrationMethod", ""],
        ["digestionMethod", ""],
        ["biologicalReplicate", ""],
        ["assayName", ""],
        ["technologyType", ""],
        ["biologicalReplicate", ""],
        ["label", ""],
        ["cleavageAgentDetails", ""],
        ["instrument", ""],
        ["study", ""],
        ["program", ""],
        ["modificationParameters", ""],
        ["modificationParameters1", ""],
        ["modificationParameters2", ""],
        ["dissociationMethod", ""],
        ["precursorMassTolerance", ""],
        ["fragmentMassTolerance", ""],
        ["comment", ""],
        ["factorValue", ""]
      ])
    }
  ]
};

